# std::money_base Class Reference

Money format ordering data. More...

`#include <locale_facets.h>`

Inheritance diagram for std::money_base:

[legend]
List of all members.

## Detailed Description

Money format ordering data.

This class contains an ordered array of 4 fields to represent the pattern for formatting a money amount. Each field may contain one entry from the part enum. symbol, sign, and value must be present and the remaining field must contain either none or space.

See also:
  moneypunct::pos_format() and moneypunct::neg_format() for details of how these fields are interpreted.

Definition at line 3445 of file locale_facets.h.

The documentation for this class was generated from the following files:

- locale_facets.h
- locale_facets.cc